package models_train

import (
	"os"
	"path"

	. "git.andr3h3nriqu3s.com/andr3/fyp/logic/db_types"
	. "git.andr3h3nriqu3s.com/andr3/fyp/logic/utils"
)

func handleRest(handle *Handle) {
	DeleteAuthJson(handle, "/models/train/reset", User_Normal, func(c *Context, dat *JustId) *Error {
		model, err := GetBaseModel(c.Db, dat.Id)
		if err == ModelNotFoundError {
			return c.JsonBadRequest("Model not found")
		} else if err != nil {
			return c.E500M("Failed to get model", err)
		}

		if model.Status != FAILED_PREPARING_TRAINING && model.Status != FAILED_TRAINING {
			return c.JsonBadRequest("Model is not in status that be reset")
		}

		os.RemoveAll(path.Join("savedData", model.Id, "defs"))

		_, err = c.Db.Exec("delete from model_definition where model_id=$1", model.Id)
		if err != nil {
			return c.E500M("Failed to delete model", err)
		}

		ModelUpdateStatus(c, model.Id, CONFIRM_PRE_TRAINING)
		return c.SendJSON(model.Id)
	})
}
